from django.urls import path, include
from . import views


urlpatterns = [
    path('payment/', include('customercore.payment.urls')),

    path('redirect-osimenu/', views.redirect_osimenu, name='redirectosimenu'),
    path('redirect-osicard/', views.redirect_osicard, name='redirectosicard'),

    # ADD
    path('add/ticket/', views.customer_add_ticket, name='customeraddticket'),
    path('customer/add/ticketupdate/<int:ticket_id>/', views.customer_add_ticket_update, name='customeraddticketupdate'),


    # LISTING
    path('my-invoices/', views.customer_invoices, name='customerinvoices'),
    path('products/', views.all_products, name='products'),
    path('my-orders/', views.customer_orders, name='customerorders'),
    path('my-tickets/', views.customer_tickets, name='customertickets'),
    path('my-projects/', views.customer_projects, name='customerprojects'),


    # DETAILS
    path('my-tickets/<int:ticket_number>/', views.customer_ticket_details, name='customerticketdetails'),
    path('addticketupdatereaction/<str:reaction_type>/<int:ticketupdate_id>/', views.customer_add_ticket_update_reaction, name='customeraddticketupdatereaction'),
    path('my-orders/<int:order_id>/', views.customer_order_details, name='customerorderdetails'),
    path('my-projects-details/', views.customer_project_details, name='customerprojectdetails'),


    # PRODUCTS URL
    path('osimenu-plans/', views.osimenu_plans, name='osimenuplans'),
    path('osicard-plans/', views.osicard_plans, name='osicardplans'),
    path('shared-hosting-plans/', views.shared_hosting_plans, name='sharedhostingplans'),
    path('cloud-vps-hosting-plans/', views.cloud_vps_hosting_plans, name='cloudvpshostingplans'),
    path('dedicated-servers-plans/', views.dedicated_servers_plans, name='dedicatedserversplans'),
]
